Page MenuHomePhabricator

Volunteer NDA for AWight
Closed, ResolvedPublic

Description

Friends,

As I transition out of a WMF staff role, I can imagine that I'll be staying involved with the Jade and ORES projects in some low-level capacity, particularly around Hadoop-ification as well as helping other volunteers with non-essential machine learning explorations such as the paid promotional editing model.

To this end, it would be nice to retain my analytics machine access as a volunteer, if @Halfak and @JAllemandou agree.

If I'm wrong and it turns out that I'm not actively volunteering after a few months, I would ask to have this access revoked.

Event Timeline

awight created this task.Feb 18 2019, 5:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2019, 5:10 PM

I support the idea. I however have no clue of how much formality must be put in place so that we can keep your access. @leila is probably the best person to engage with in that regard.

@RStallman-legalteam from Legal handles those, I'm adding her to the task.

leila added a comment.Feb 19 2019, 4:04 PM

@awight I leave the decision to halfak and JAllemandou and you. One note about this kind of access/NDA. It's best to keep it specific to a project. Once you have a point of contact (someone responsible for this relationship with you in Technology), they can set up a formal collaboration relationship with you for that specific project. Check https://www.mediawiki.org/wiki/Wikimedia_Research/Collaborators for examples.

@awight - to create the NDA, I'll need a mailing address, your personal email address, and details of the specific access you'll need. You can message me directly with that info at rstallman@wikimedia.org. You don't necessarily need a formal research collaboration set up as long as you are sponsored by a former manager/staff member who can check in periodically to see if you continue to need access.

jbond claimed this task.Feb 25 2019, 9:32 AM
jbond triaged this task as Normal priority.
jbond added a comment.Mar 5 2019, 1:28 PM

@RStallman-legalteam did you receive a response? I don't see them in the spread sheet

Thanks John

I haven't received a response from awight yet in order to create an NDA. Thanks for checking.

He probably used his wikimedia.org address for Phabricator notifications and can't access that any longer. I've just sent him a quick ping to his private address.

awight added a comment.Mar 7 2019, 9:31 AM

He probably used his wikimedia.org address for Phabricator notifications and can't access that any longer. I've just sent him a quick ping to his private address.

Hi, thanks for the ping and for assuming good faith, although the truth is that I've been too lazy to switch over the email notifications until now. I'll send Rachel details for the NDA.

As for what I might do with access, perhaps the first step is to ask @JAllemandou for a sort of apprenticeship of small volunteer tasks, to rebuild my engagement and work up to the larger projects we had discussed, and to give something back to the community. I've been doing fun work with Hadoop map-reduce and Storm as of late for a day job, so the means and motive if not the opportunity are both present to stay involved in this capacity.

Hello all, Just a confirmation that Adam's NDA is fully signed and filed, so that piece can be ticked off. Thanks!

jbond added a comment.Apr 8 2019, 12:21 PM

hi adam,

could you please provide me with an email address to use for your shell account? could you also confirm if the ssh keys we have for you are still valid[1]. Feel free to email me (jbond@wikimedia.org) directly with your email address.

[1]https://github.com/wikimedia/puppet/blob/production/modules/admin/data/data.yaml#L952-L954

Hi, I have an update for this task--I'm now an employee of WMDE, so will go through their org-specific onboarding and NDA process. Thank you to everyone who helped with my volunteer requests!

jbond closed this task as Resolved.Apr 18 2019, 10:00 AM

congratulations, ill close this ticket now